import RadioButton from '../../node_modules/lego-on-react/es-modules-src/components/radio-button/radio-button.react.js';

/**
 * Баг с RadioButton
 * Пофикшен в lego-on-react@3.2.1
 * Не можем обновиться до lego-on-react@3, т.к. используем React@15
 * DIR-9275
 * ISL-5759
 * https://github.yandex-team.ru/lego/islands/pull/5089
 */
(function fixRadioButton(LorRadioButton) {
    const { _setPlate } = LorRadioButton.prototype;

    LorRadioButton.prototype._setPlate = function() {
        try {
            _setPlate.apply(this, arguments);
        } catch (e) {
            console.error('RadioButton', e);
        }
    };
})(RadioButton);
